diff --git a/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_fedmsgstats.TestFedmsgStats.test_data_simple b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_fedmsgstats.TestFedmsgStats.test_data_simple
new file mode 100644
index 0000000..8f957b0
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_fedmsgstats.TestFedmsgStats.test_data_simple
@@ -0,0 +1,247 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?user=ralph
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+ybe4+juLLAv0or/85kwpuw0pXukEDeZDBgEm4ftQw2gfAMkOfRfvdj0j3v7ZmR
+        7mqPzlk0rWmMcbkoVxX1a8M/e6jaHTOSN3Xvt3/2AtSQXVHFhLb+7x9ve0GRNyjOX1qYpA3q/ZYf
+        0/Rtj+T44+GuKo4loc0QpTV528tIe1k7Ii+ap29ltudKFCRo9+WZpijj4Iv2sSbVS7OoMKl6v9Hp
+        66D3tvf12JIe9n5j3/aq4lw/laR6ej7DiW97dYOq5qOSX07wUXivQmkZ9f7xe3unx7x5HlY+S+d5
+        kTYqdH7KSF2/zEhNRKomDuP2rqhOS4tplhY7Ag6e27E6BnDuWI43NxndAfc+phkl7NxyoA00Y2za
+        eOoxOm85c9Vj0rHpejfMAOA65fIx99lyjqbe3k50ABxv5Dg673G6SjRDMp1y5DGiaya6BzW9hqm5
+        sKFORxt0NP2B+hxs8MJmdQlA3XjMTRtMTVuHwJkLthNB3/FuboprP9M1ACPDTOFLv1HYjmL50Ku2
+        e2OB3pdzkMzF7X5+9vXk5mwi7TEnib42M7yGyVwNWDDyYVm7SXAhaUnnUw3TVl+k6XQ2jO7S0mjt
+        JyxYT7HmwFQbpR5wNqr+mGO2bKguFp6srls+WqBEr6j0KnCjCjmBiG/qyGR1HTLbK8iaGHIX1mml
+        6uV0vUk9V/us32PubJxFqzmda2TokQY152I7ABJN0YBtGChbXWxbP7kacCxbN4AOBTsF+ophD9ub
+        bqxchdoZeK2dqd2+tPT7UvV1z/mRpX9k58f8NUuPstnNyqLvLP0jO1NpGzofhz9b2o32gPGOnh4t
+        fO2yNbPdwt0bLoGlY26i1ctokcB0a+ZpvMrV2rUNgN0ZtZuViYbDKbzF6B7Qn9eGOB7vQpysXKOB
+        G/BZ+vvSABpk3Yx1EXfXfW9pJbd1aTsD48fc2Hh73zUEKytVxMxzxOsF4lK6XsHZTAwAIF3tpPUK
+        XGOoT93sgsAtFUfpa7pZDs5sRzsDxrADB9sW7QG6rtOVAdDRVUPDa9MBYzNLabDNc8cxREC1ADm+
+        uE6ycDY7bu2WBZWmzbck0S4wLQtb312thApIMFhP0qW/0TdU2BRBqLnTaBw4oETsStzmhgh19Whw
+        no3cLesk4tRJPOq93rlc0DkPIG7QilHACkaiyc6rLZtcVgxcOuN56VNpnstcglzlnWzH+9zuukpV
+        D40dwZrqy7Vbn4wJTqg0WG7gZMWZmb6nuQIEiVeuUj3yXXhYsl4JXHaBIeYWt90VxU1ucOAGWc+w
+        Wz/UdGA685OhpSOYl3QVaOZx7Q0et/EG09kZanPV2gQLaicVa/Pcn2C6KnhE80xBrwUrDc7NNE2d
+        FE9IBu0VNCA9lzv7uUvjFJZbutIJYL2K5rC1PzGOTq4i370cXBhZrVeY++fI9zSQOxCPzFS/eoxy
+        QFRfyIg37LJnX2Ntmt82cxbzNC5tOIMaXbe9/hxRe/VgJunMbjOl1uRmOr+OUn0S7KHucekCcjBx
+        9xC4Y11FY3UJJ4LwmFMPWAJmfg6gMfL5knoBjXbnYphu8zEeabQZLkxYweRL1UrmuZ1uF9R7cppB
+        K8MBhpPoPJhgj0ZW6/9OpGMO2NT/BX+ib7yJYjiZwYP0JT6cRsc3OL1nrsxogIvhpxjYlQmND7P1
+        VyqNob7mwDHR2OlzxMy3dhttdsRTD36RBvRv8uCX0T9GL9H/mI/ScrralIgksKF3BL6NByvRLboa
+        HmTnzBYGrAnLBtKsuWLKYstEC5zptF0m5g1yj/mWY1OT5jIwKRbQmbGWDoQtBy1qE+d57simumvU
+        t5a0nQfUbvenkWtopluqttba0ZvRe6GxQK1pmMyMMTf3HL+wOAVZZllQ+6xNqOs0v1EPBTlNm6q1
+        jxw4wavVdB55fDrCaSGCVI1wXHOeJqo0Fm7aDVGtzXxbuZZyIY5S2QxAeKqf125xGiU4WU8dlmTm
+        GSb6GW/S2SrX1e1txwZOcEUarLeMd3CuzeUxXzuKuM2ahGaXs3nTxSBJb8BqOJR4NGd7B5Sal9Ue
+        SpjXqN66AVnnbMHd1c5LDnOpELiXrcGWl4ALaEZaTWdn47Y7OVPjgz0BS5tqD11A73w+caYe5/OR
+        CaZlbdsrATmaMoqfn//AEbWZZuhOCmi2p898CKjdnisHZvGY05omvpcwWb27F2FFlsVNe0SLjrYo
+        6e1o823Pr1AeRLRZkbAeRATheoDJiaRFSXtJhuK07fQJyv+3IjhCzTsqqtfWY/f6hXbq8eWhIXXz
+        kKOMvKNd7W96HrR10INKR94LrKadZVBXpwGdeVCRsqjj5l7CDUKCiwr1o6Nfv3tWq+1ulcW0InoK
+        KkJ/0VKwxwo8L/DDoTTsvb2XblVcNnGRt1rcZTxMqYz23unVIvNJlS8muOtS3U3wXMPVpGnifHcv
+        VbU8LKqAPNXxLie4X4Th07Ph6qc4fyrp9f2KHI70Zj/Vpas4j7Nj9lQHRUVoxUkLu2pHvrm2Txdi
+        nafXJ1TfRdN7QvkfXvki1SV+PyqKpP6oZVzXRyq+onVqW7c21ZFeVVbFngTNEy6Ce7mNnm3x0knH
+        Pb3IrZ9P0pK0Qbt7kfpikTgPK9R7qV5bC4R01Mf1I9n1YUxGiPZlqJ32kz0xCdqzvd9/b5fqRM/4
+        vsgKjCxwOCS+gCRZVgJZ9NkhiwVWZnyFMGTIsWKvNTjJP90oLaefKSGMU3I/aBdp0PrT8/9P5xjv
+        yMdGUPhnQr2kvN5dGeO4veX67umUJMjnVhrnrTyuVbEpGpT+bMCLAt8MrY9ZhqrrH7l5a7Jne7RL
+        1F5MY+2p9bwex7BSXyEBz4iS0pcUupqCLAn9IeL5PpKxxPoiQmTItuagDoGaY3Wv/AuoZWCmyISt
+        BatY73Es5fpqlpmBvhOGu+t0KOnhtOL8sNZ32UU7TC/j4WxWrkz50Oy5eNcchPGoMt6PrMfczufr
+        aq7aJ0mRbtFiG4XscXtVGUsCwmbGr8QTVEeiOB5gneM1L38zXbPzkxsuXGUVBB/mb2YZArp/HvOb
+        +DEfxtFVi9bMbE3eb9PdLZ/O/ueeZ+ri2MbMR9dADcppzNzd5aXrRMnoOUqZd9K71geamOaPBmUl
+        Nbgg8tRzlKH4jnkhKnphXLyjyESt8o46Of54TJPDu4oEJD5R33vbcVPHTR03ddzUcVPHTR03ddz0
+        H8ZNgLQl00MTkQdajdP56ofnWvehKR7aGjSIUNV0QPX3BKqh7xPOF5kAywwtkBVJGLKhFCKGl2WB
+        DGVOFBWJl/hfBCpMQnRMmz8gJ+4rEOI+4Y9AVbkP/QhgT3TJ4ubp6f8h4sXPv5fAfCVBkD+LkL+V
+        8TkyvpPSjvtCDPOllFcwUPyaA8XPICh8Gs0y36Dgr0fuzxgxZEJEfIXvC6HP9oUhQn0/kJg+HwpB
+        GIa+TMLgG0bEGTs+T0p3ze38ydYVVC9MRW6DqtDYGamxbMbF3sN8kuZFYZ23tjBDo2RlhJ7sM0nN
+        DvIZu4veS8S8WjSPouvFPIjLa+OVk2aFptOrpItox+xwHU9PGcftJG10BspEVUCVNBNWvcbX3fC4
+        qczpSZKiNQBBbReFmMYbSpwa3m4Yd18a8dl9D5lLUfyZjCjxHSN2jNgxYseIHSN2jNgxYseI/0ZG
+        5P8KRrRoTZmiunkitGIluIPBvycMypiTFZFnWMWXRYHlJJGX5ABJLIMFhGSfZxkUcmL4izCIyvJn
+        EMd8sQ32AmBZQft/ym6f98/Y15iLe2Xr7TM48l/z1h9Ewc/AijIVH0qE6StDKegLGPv9ISNx/YDH
+        UoB5biiRbzffwtkh8w/aEo/Zm1CvUIxXhze5qPJcPj0sJJe6mJr6HhNt4tkNRSAbDGi5m2rD1Fas
+        zX6fOfI682dowG2Vx/w6Pwu30zB2GHvwZkUWZAKa4a2aZ8PBan5bsqOq1vaXwVXZSZNjCkWCNtny
+        fcouzwk3Z+M1fLN6Q2aG5KVn+rCzTeFaATQ9uXaF/ZkbH//UzbcOrDqw6sCqA6sOrDqw6sCqA6t/
+        K1hxfwVY2e2bXO0f8J/fKHv5+33HV39PvpJknpd5ViABpwyH/FBALCuL/lCUxJAXkRASBQvBL2+2
+        vUZK0lfgw3/CHeUjYv3Ba4+v77qx/GvgJfxA3o9fo+Rf20Hjv9uH81FNvhcwfEUn5TUYlISvN+D+
+        YP9NUr7Gwddj92dUKPiir7CS2GckhPsCJ1FQZES+zwYi/ceLrIiFb6hQna8nC6PIcndWldJ6zC75
+        oGoWkhpWH9aT6ry4avIgPM9VYcFK5VYbkMF0tLdHieyw6xEyt4q4SeRJcWIOJq0M9XkUOrE2D/dR
+        XWpj4Ff6dZsHknoYX4+SaTEViK7jpWWnA+F2ZHJXR7fbCJABt0qFgZXzN1yQ0YScEeWa0GpWqjxr
+        TGs3uyrwJEtJR4UdFXZU2FFhR4UdFXZU2FHhfw0V/iWvZM7yID3i+5tdNXmI84cGVT5KaS3fgeHf
+        EgxDYSghZihxdH0wM5TloP1QKcCcLMkh7zMcj7AvhNLPwXD13pjpmmW/i/Nf3nj7pf0z5uefrv3Q
+        rX/GTCKhkcTLSl/EQ74vyEOxP+R5tq9gUZAEiQjcd68obuvRm8wezJWq3DZe1uQkhsNjXX9gXSYf
+        jbbz2W50+KDbEi1kfcaqiCdO3cFtM4LKaYQX8Vp9A+OIM0NFozkP+80xtlL+uGH5eiV/+DCey2Mp
+        l2fKRb1Es3BhuMWbM2iUfPZ+bPlvQLHSyq3MarA5mpultImi6Y0rP/C8S5//yUHaDIYnZsSQiWUU
+        mwkv/InMJCi80jFTx0wdM3XM1DFTx0wdM3XM9F++k0br6eL0/DEMOtGqqer20v7WyCSwviBIWGBZ
+        CRN2KLMBxmwgMSSQmQAzouyHQ16RfwGZfvHrM+aVr89e5afvBvyMn37k4j99ETHwcSizpM8zLKL4
+        pMh9RebpeXnIyDwniCIjffsiouyBRh7PgtEmPaJ9MGDVWRqRZZEQPc6GNC+DD1l+oqC0FxSUK6qx
+        Ze1M45aLcX7ZQAMci3Cw5Rte9+PHfNocbrgKp3iibxN3u4d7D9lHe/JhLmwjOLcHVbABzBuTSJeV
+        rdIqSwLL8fH2XtbEupKyA4JsOSnX+3VeDR/z6IALNV4GSLwyAs2i/uDPxSdO6PCpw6cOnzp86vCp
+        w6f/NHz6FwAAAP//7Z15s6LI1q+/inHeP06f2G3JPFTEe+8VBRUVBZkk9o2KZFCQUQZR33u++03U
+        PXYNXXOfLiK6ojcISQ4rk/X8MlnZ4tPfCZ9+yJTT42ImYKdV2bLTL81OrOO5LIG7BEMyDmFjG5Jy
+        CI8AJOliNHAdBgG4bQPvy6MofmQ5IfqBeSgU/dRywovpvidF5kMpMq8XE16x6lNshz8tmcTxD86O
+        sX+451YrT3dT2AdWFL7uhJ+cHMMZhPHo5jMzBO8SNk52bZzxGs4jUAf3NiTBvKI7obfbnCuzFO42
+        O39PjBw1jxdjXZwYu+wu31dxFnHUZBzB91DPQHVQ9XeVERVbEeThgKRUeeKo8BVGuHQ2uE9yPzkG
+        RyMnD9IuZpl8moSyVUz0k3LyfMkf4NKAmR/PfTNkR8uzYOrnPbss1nuqzkM0mwgERztZieSLjPXv
+        IUqS/Xh/mqlIsEeSkbzN5/+5dBeAsKG7KHpJd6LU0t13oLsa0h2kNXKvqOJCF3RcRawb3XGQ7iJC
+        NTNhHpKabrpLJW7ozsL/A+hOjSRlLD3VtMqBeVzXa803gIaWRlxPb1eTc4P0DUE8WIIrejd/z+DJ
+        Sm28SkMa3ydgqEhA1ctHbzVxd7YaHeHxYs4fS1jT0KPUSHjHWakzbq7rwgoVpbmQnuwh568EK1MN
+        9NIq0Ptp/E9VqNaN148p5gre/cwKeMXUdwq2RVQjRGGpTC2BNAhZcgCfvDAFoCNErY4QSKKXkhqo
+        BC1gLKPSUUElEbYvr2n6VNZFyxAieLfi62ed+xBtSuZ6Cv3YnYu5APp542e+p+Fja4TkYGoNiXCN
+        dz/nhYYlp7LBjmG7zwFyHNmajM5NDig8urZRayzHaGnrrgjzVmc7dSg2JYB2czyseOeox+RQSqCF
+        Jimqquu6uQP27BCyWqphkrDWteMaEeJ5YpWSGpFSaI3tiItgX4gmiHp2cAvayyCJFgCROEeTxpqh
+        Uwbv86vQN9eGtDdMLrA0l9CMIw8iZQyJzwejYwgp/gwta6WfRei7A3WNAZhjL9kedVOcQl986Qnz
+        qR5xc2UE2yuCPDva1vPRce3tIgK2BByJ0IGsCWMAfXkl8mFNQFY0M+htX4kIevIhKjSevayhwznv
+        DnUE5g8Rxkqd5gq8GjKGYiFWKmkW7JsEqgrWFLr2qhz6ALZSAVtiBC1EgK1uuMo8skiLhz3EEEz1
+        wo46vroyz2oO3WJIm8IgtEYgllEXIxfSOCpmp1JXx5BKYslamNkBpqYhx4XZ5NY3HqhE1fRkfeZg
+        q0hHWYMtwAumG5eqjESFsdOONuwfcmzpMuIrDs/GniBwNhqNG/LkRAXLGitIXvX2cdPb9UinXrKj
+        NICkpQEEJRRIzmr9OGrsIHnykyO0yABScW3sxMTjLUrWrYcrDpCd8gd1w4B0CsnpqQ/oPHF9J1ye
+        Pod0F+o4tHNwobezuPN4Bb4PyIfUJEjw5TU1gTKSTNB4lIOt9NhfFfSp99/D0kmWi2ScoaUv+4NR
+        DhTYGkBoWJILACJ+dGSQ+GjajJbsAlJxbgncyBvqI1WDz7uOFeEqEhRVQzkbcYcyDkctOBDD8Q6H
+        9SbJpvSgCeCwJ3IuEk0g3SGwJsPXylCj5VjQ9tjBIHYVWe2ji+GalARp7gicafMOZmjHwBj6woJ3
+        cWcULefQ24HvrNiS5iNBm/OSLiV9Qo6Pc7DzVddQdm6iW0oEe7imxFbCT6GthEZYUvMw0gyNwPWA
+        DR2+3CkIqaz4CNqbO9LOM5Q/rVTf9Ebb03yElnOEjXSUI2HPgVal1ItVWahGOZL4Ce6ZCqL1sxQM
+        t2fLjDBlHKIglNFVwuf3iTPUzdVwXhsDNtXVCbE6lTsjioZaJC7kUJxaQwmOYxa+VJHpzcsQ1FDe
+        ykjD4dFopUkcfM9dPAzIivItstkLTgTOjaOcKC0ga0HXExTvHpzIq4f+HBkuHAkd4Xdpvn334pff
+        r9sINeTYEORlS6F/3wDm8qQbAj2QjZ26p0sAcUg7nSgIvU7jpG0hAWZe3gmK5J9lxwdZdoLObel3
+        IJNApMlPb+9hzfhlmRVve01YiOLNNRc3JnoD89V7llAvB3Xvf1/8t/+GP726+OrFhVvXfnPbT+nN
+        xRH3moc0/7jGt4Y5SztZZUdB4d9WpD3shdT5DUSln1Zbv5NDuoxOnUmnebT3rxf5vNZZQ9K953V2
+        iy74rtkp6laZ7y4/FJDanMb77tlRaj8A+p+4/Mo7txKd/mtGM81UzbVt34HyAQIQtIuhKsq+Ram3
+        OGI1lzTO8WX7K8gcN/D+4w3UW5J5i1HNDX4ZR++qvFELPlXK581xMYeih9LMjdZRjGYplmYgeUFf
+        wIuK695UUQqB99leWg0PlWnyaD1JFdsNucKErjDpPbfhMiij5kTj0HchHzVclLnvL9OzSnhZHJAF
+        b54V6aJc/MmCPVD1Nr9i4pW/Pllr2SkLkm1aPVYNgSB4UzHptlmD+Y9nvxdB6b0Dbhw8IXV5ypoy
+        a8UFcj5alsvOX0+PaygRdg6QBOeblPA/71dZJi+srROD5NIJYGoNTP3esasAerWdMk0jeAQSt3M1
+        paKTeHUH9taooaIGc5u4k4240LmlfDPxxgY7oFPEaQr7fJOAt4EkFTSnYWd1YLd7c6sdHEcpqvn6
+        76F2Xo1GH60AWNqXbfmPf1/Fp4s2dWH6150AbwwGZVUMewtthsCsixR1iVH67lFVe5LSXtbfWFWX
+        nf5y0tmkeecJRi8lfArKCeuv0angNeFjqzYHl4ietz/f3bZou5xopJ6XUtcfDLMxOjiiu2mdRClw
+        iweZqDl5tdnnZ26bvt2e3ZypgzB4OpHG3nVjuX98xhD8xaPFraVpGmEpkmoGiGRbXR+/PMFhN3mm
+        TL24K8285LF0zIvjh/prztbJF3XTV4b2Z4zxw9118bzf/alu+9psszw4XMa/W8JZVfjP7Jbsokhj
+        tyj+FmPfkoR1yc4ZXk+SNHbdHnALzjDlR9Oi/zhcwlSwLkKoGPKWQN7i9FcOl/DuGpSOf9mAsHne
+        w9FTHhq5y0vcL2qhJ0/ksXnw5wPp89+/xUj6lN57vuD1AOYgLNt1bYroEpQNuoyLMV0XALz5dJvA
+        HPf1F7ybNJmd8ynNr84blRwzs2DEF4GVrXPJGOipd7ZXUV4bCFoXyDCdRr5KLLfJVPKnuoroJKJ4
+        IuFbhoXzR+h+T2yNQrjtdlDycjHReQ6C3kJkVG3b39pSfB54YK+eFhS/oLZVbxtZ9JoPdI2eTucZ
+        ze52ytrJWU1w5il0aRY2fgd6BNpbbJOkmsnmEvmGghtOs9hzwe0DLtutAS49+s3trd8qb63y1ipv
+        rfLWKm+t8tYqb63y9p+jvN2WOTyKMM2vN3VsMf29M/ln3NmmkNQbZr44OxAZg6KTJt6bTkdt/oT/
+        gQ5MpkgTYEdeB/q01YUomlsaJ6vTTBIHyZs3bzq/FUHieJ2gUdcuGF54IHcaYSu/6FiQYHMIV7fn
+        bYILoTYPbeKZQlCtn8Sv0gdlx00bpc47BkX5r4bNPygePRNavlo8+q/Ln7f66qI0TtEMhREPwsnD
+        8Q+TfR7ks97zrHyhCvRz4aWVf1v5t5V/W/m3lX9b+beVf1v5t5V/v07+3XiAZRiX6ja7i3cJArhd
+        QNJEl/IoFAUuwpDka/nXJ8JNPR2mU/xsLDYlxjMq5qFatI/n8aivONpw7xPFtB8qfTGQhwXvjwXF
+        pZzB4LRTzflRT0JT6SUmO8aN++Q8XMzOAMQM3t/Vfdq3B9wR5YrsRA/HRLkgI8o990OwPyvnAogz
+        oyxswiqJhTqkSTnbDGT6QG1XFsmwC+k+WcbknSQpy02tUXc+Th9233K95RfJvzdoavXfVv9t9d9W
+        /23131b/bfXfVv/9a+q/2Ofpv6vm+5JO5w79mLDKQFf+LcF8pizjRd4lB0Wv+WKsR1Lv0VRxAnsU
+        ah6OP6KlPMvI58LBU27eq6jeMtIqqp9WVC8TAiCK0vqisrh5ml00BtfLGp5KnFMnTTqxFzsAIpd7
+        0SDcdJsFkde9nLqcKfy0iuD/Mg9eUmXNcX2ZEoC/P7RVp9EC3rwUGK9ZeZIT0Y/YLfmWpKHj/7V2
+        +0xJJCkMR75MSWwEhuefTl4+Sfy6XH15H2jSKJpE/v2kbjYixjNtc1WmudeBpYNNfbruLQDbLWh6
+        ZvHPjtBfdS4o9oN667W8rez5d5Q9MfguaHRyjIBP/yzZ84/114wa/IPxPK+aD+ie+CvZE/+I6vlo
+        lH9G83wmcf5p0fM6YHzJoHBrPAYjSWjdH1Uyn9/zQsdE36tjor+Kjvm+t8ZVx2SbD6b/KGNS71Ux
+        0S5Cqii0ZOym4X/x0PdCw6T+KGFSfxcFk8DAhmEwp4sSNtElHJLosht606VsCmPIjeu5pP16ASsf
+        L7iVi26jTCM2oRiZh7wHhp46yEhilTKH9Z2TUsSwtJS01kse9xBkQ5LhfqMUdZIykyHPxQtTGtD6
+        4D5h3btjbGzNHeJ7Wr1ZLINldK56U9441PEgRzQsW214Kz6pa1cLiGRzopiyrA0HTa0RkbB3/tA+
+        I2KRYwG4T6oNc1ehJdo3pgepppix+y0VTIwk2J+iYOpXBdNFXyiYekq0Cub3UjBdhNVWZiQpI6dW
+        9RcKJq7GmehpKG+dOUm/KJg69x+gYJqWJJ+f1bSB7uaohVu6O3VjZThXJ9MmrtH8ITJYKB4sTRHd
+        98QKuk8eogU1Sp/HHynZVG4ll3Kdzyp1J+xWo2MG61Zx+1nYlMwSXN1FUFUyXX81ckl19KBgvm4X
+        zdSb51VPikk2e27hABFHYKSk17hHLxUTWNL3qqnSwE6y92ocyk3jAJHAuZhrAWQ+tdBIgLVQ3CeO
+        Qa5snItgHc2tASt7oThZocpsoUsC7It7YBx9BxEWThiN5og0ALGIuXEpLEyOcHS/gnkCWozOZC1a
+        3ifzfjZ3VS5YDd1ghroaiP3Q4uXTDNEFRSuP1kgX9TCarmJBA/xRsXVlvEo43BhFssXPjwvVWoJx
+        hiuCf4S9Xsh0oFmhNpT2g9DNlKFAWvr6LOPSAQwVQwp90UgiQodjvYUo6VzXR3PV8qcYf5JVHl2N
+        pGp6drk1HgmXyGA4tAxurbFwdLEaBTdRmrFCE/JLvCqjiUclDOEx5yLHZuSxVnomynoUSIKQKBo5
+        gGmYq1Fp3CdgND8DXNFtnhzAMSy0R2KpJ7CdBRFapTRQ+hkw+LRe6y5whPCk7DgAR6fwpigqEq+P
+        LFTQbb2PwtQGpWXzR1ESMnF69vm5gRKrkWAYvHWEpcdhXkNduyhv4SCMcA0RKZ2XBp7BcrrB13LM
+        51oYiUC3KlhvkRvp2prUtCiUsQKdIdACMD9ZG0IOR00JpubD1h/CHjV96FGGLk9l42joPKo4+EP8
+        NEG5T2Dp8FXIKl6oK6rGI7fYXgOPRye6gY4cNDPtEekrvL5WNVF/iP0FeHSpNSp6nV16Fxz94RvR
+        MyYnZ3S05qhAKOOrxaqRNZBNSZPja4+5xfqSr7HvLqlx74sk1iiYj3pmDUcecNX/ld08/vw4fPeJ
+        ofuDa/7q6UMkvlVMJhZWctJQ4Cx9Ui8EfwJQHYdPu+rKoyPMu4vLsGettBI3NHEAX2kTaG+mK8KR
+        Eb9FeJMvfRGOms14+v6ofuJDVL+BrIWklfBwrBZFYESLRvn1czVWDnM+41XTOqh6RMmrkreGsIRj
+        joNWMZyifrw+S9AOhVw9u6bLF2c5jAhYbzN156dgJy2sUMnvmwhzO9ibhvK5T6zDObpCrIWCuKt1
+        rKg6GpWqqkzWpiADwZmucC4DO3HgRJIJezHn7ARd0oXYPkeWxwsafMugIWIjiqWZjXrJn7Shdlrx
+        R2gZ3NkWosEM19faWaqUkSCCJKqgVav6Nls7OLdcGaXu9dOLPzDTdFhSZfABb2H7349aJEk+iZFl
+        2biqV31qdeFQLxfyxda6MBewgbv1cpRl2UuEIxC5IPPK/LLnobsNojht/L4m9lFa8pD1Gmf7Aich
+        9OKbgEdNJKO4CWKVXC6L3TQuGnZsYnUFeQDBj2lQxg2Sxue8XJ/ZeWoHSZFeb8kgmnrNLTDXN4J/
+        izXnK+j/5nWwC6+RlHIvgh7W5ZYCnEDy/5q1rOElxSKGRcwuKTSsvb1mudxElwsw+KcPn3EV3BoK
+        OqeunZbX3S4dHwT5pXpeVMaVLJ+q4Hr8WNTr4WNpr4e3At/CdT0r5e3MrXAP4byeinc981DA69FD
+        Qa5HzwpwC/wF850kXgMA/3XjmNjzmsBnF1ovQRBdCtWEmbqCSfNXUsVN5ZJNXh344FuWr/7uu0df
+        F0OYN0jDC9cU3z04va8Ek9+e8O1f/3jk1ac0b3ctIN12hChNXzILRJYmfdgQ71ln9LJIvacH9V6u
+        jHzz9EsXhZlG/vEHzHEp1kEZxukSCMl2iQ3Au7Cl6e6GooC7YWzAeq8Xaix6PcLgA7Y3QozVcKUN
+        e9MppTnMFL4NljsFUAGHJpNFuJqyq7CIZ/vhnWiG8522IUp7wtytAROjC0G0EyeDr4jzOXG5iFpX
+        Q1c1q8p2iAQLicmE9sTJiOgnNHtXokGVjHa6LFInLKgxFNST/c7qS544L5NKnrLaaLm0oUsyPuvF
+        0CGFEyvvVqFJeNL2W2LOpek/iTkPDXdrn4Z0smZ9bYs6Leq0qNOiTos6Leq0qNOizvdHHeL7o84n
+        +IZiP59v0Nd8g347vsF/Rb55wRiPpINSzMdJB6UQ+u9DOiRC0BsbbLo4jSFdgqSRLkAB6AJ247EM
+        wFGAv94fU58AcSj3hnhhL5U1yEOv2OdnOvb0wM1P1BA5lbP+jDzwkzjiBgZyl3P0RtzOyYDpsSIl
+        sSSVrlYGnzsHOJqslVNIDc/JABvPV+aJujNjw+CO/YCWyNWSQ+PQkfr4UNNWBrku1a3Tv0v3g7W1
+        X2Xrnm1j532eJSo7WBmIDPu/g/WZ+THK1jI45+7KM5lvSDrXpv9s0rlc/uY6AdnSTks7Le20tNPS
+        Tks7Le20tPP9aQf/+bRDfj7tUC9pAP2Gkznorwg7w9QpOk4EE2hWcNeeF3Z+u8BCx4W//P5yZeqL
+        vWR+7zRLIP/VLBS/4gTeRZhm8erDEUq84Kdm8fRH+Ymg2W/ITyq0nM7Qs8uO0RRKgQabFlmzLu/g
+        /RSiAoiHMi6guxTSLJHbbJgua5NeF0VsFLNJBGfc13NH23g6xnryLApUVKtcOpYdxe8J1mgkHgR+
+        5k/3AZATfX8XIvIAM2hNR2eHfWrku6SY95b72dzKxwJ0Rzdz/z4ZCXfLal+GDGURfe44H9f8MBdP
+        uN47FLuBNBZncbAAsxVDrDOpR2JOraFOdBxQanwqdvt07Xq5tidykelBX0Cf9DaMSjOTceWNxV4/
+        D74pUV2M4bOJCvac+A1smbTFqRanWpxqcarFqRanWpxqcer74xT603Gq+WjoCaewD+MU+oQcr+aO
+        qA/TFPopmkJfwAj2K8LUJ5jjkYXoTyyaQ3CK/DujkMvgtMPiZJekMa9L2BTo2q5Ddxkbo20WYaCZ
+        gdfxjgp0yNkze6cYTpVGB9ORLVexI1Glt1va14d7bUWs131li1jT/mmw6RGDOuSd885NjwtlPd8t
+        1Gzuqef9IrxP/CqIiOOR85Viue4zYjhVuRScZw6xHC0t4GqLoDiQC9KSDjrfH03XvkwlKnonaDSN
+        EzU5Me68CnpZaCFB710tjsNB6gmDwdglsDVqyOtviEJXY2gnl1oaammopaGWhloaammopaG/OA0h
+        P52GcLaloZ9LQw/BBKKgKN8X/7fZUQASSHG54BVE/J8P3XSLqt6bjDiTXvenE2y1pAbrISmtxFl/
+        ODFXBqGa+Lz3greIT/EW+S15S1ijVKeZiihuuyM0QeGrrGN7myYezyWYc1A4IOqcPJB3YPcoOt1O
+        6B2C5KfgmI17gN7gRJcgKLdL0Cjogg3tdB13Y28cCmA4Tb3CMZW2Zsphiq3B5C5Ue/xEJ41los9k
+        6mixxPqEl5hfO6HdA3tXkZPJhgPLMxYt+lJAqf39cbaykJOXuUdhB18TO6EXYWZi7jaW5mDbSb/2
+        TXciBeEe2Q588jxMh1qMwVGLVO7c9REhq8RlplE4VrfWcF/bs4BcCfFinyynCXwhRjSdRxwHSVDd
+        W4tZZcnfFMfIL8Gxy8zUZWhoWaxlsZbFWhZrWaxlsZbFWhb73ixG0O9nse9GXthfibyQX5m8/kgN
+        zZK93jXk4js+2cLLvbzBhwZZ3i2jS6y4R2wi2Y9hE86yDPEtv3j6T8MmQCIbd4Oj3Y2LOF2CJOAp
+        GqO7hEuwGwKFl6De61ksMiGMYmQa9RFBnOlpNT7kuOwXY+fIKMISGyMjO5crflwcDx78ta6TSjhn
+        +ZKyovW2L1RLN/cUKz7QnnmfMH4xqM67wWY0ci1jbicVqqajPMKK1dhJqvMwvkNUYRwN87u+NZkl
+        qESZ4/52JprpdsPt+aPc53XO2gl5E8We2iFE1PPuctEf5kcfbNVvt6DvwVZabGqxqcWmFptabGqx
+        qcWmFpv+ythE/Whsolps+rnY9HUA8oRNH/3QqXGFEfwXxiaSIRx0Q+Bdm0GoLgEA3mW8DdPd2DhN
+        Yw7p0eD1bFNFnvGid3dyhGXF9UN5FOzDoTZR7kxquDX6i1M2SzZiUhXsKmRMa8d6VtUj5iszWK8H
+        wUApFVkufKIwZUGHb8LazOPjwPNN3YnhMLKjtQlX4SiPZqc+q5z14ED6M4c7UxWtjKogWo42mSnc
+        De56i37MehHRyygrrUaHMfSVCjguJXVN4w5T5xXJHdT+N8WmxlbaxX8tObXk1JJTS04tObXk1JLT
+        X5ycPhBZ4vuRE/rV5IS/JKcvIyXmlyElw+skad3xwcHrgE4WgZOdpmHDH6Aq0xiUwXXLuasHCvkj
+        j2sAYSRNOkMvijp2evRu26DVATyusm0OXK/ZkrCTbhpmiZ8TFfFEVM/K+RqrKOJbxo+A1ZFWieNd
+        9ii85LSJK5DHf9y96keBE+s5OOqSdpcErN18NQURCrrhXUBQHuNiKEki+Ctwql11WW85hEPGhO65
+        eSalhIVuo2O5KwuVKfk7uuoHspBRujNCTXd5Tsq6FA5kFStrMTat/UD1V5vxnnWhwzo1puXgLrrj
+        yGNSVdAijZ2kD9fOZp5Nxlv6eJDL8VwTS6+n76px5rvcZM1u5GlaibNccM7Y0qmWfSsu0rv4Ppmg
+        voMtjAkjskuX3tAiT3xLcKL+1B5LbQCJlppaamqpqaWmlppaamqp6SdSE/ajqenrw0VgLTV97rI8
+        CAt1Xb8pnPx02dSzV6e5m+VeUfQuOb8QQg9BeyjdA91DUJTdMu2C7i35xht2IJF4+YsPnIiPfuAE
+        vWGSJf7WbISzuOM4CNNl8A3aJQBlQ1xivS66oYBLoohDEa/3n11EWysH8XA9Xfj52ERtaSsSViD7
+        onaM1sUsmjps1DshkEyV8Dz3anK1N3GaU9X53hqgBDrgRLGo5HATRPdJHh8muDquiGHtz0fFRkxw
+        2zPP2nCFVCM1X/no1Da9SD4Cd37oEyI6M1Ex7MFs8/KIE3na327F7aCYlX3IRlwsnke7zaxa6BRY
+        JiuD/6Zr8S7W0K7Fa9moZaOWjVo2atmoZaOWjf7KbPSB4HrfjY3Qr/+EqWWjz5tRytPSa5atNSTR
+        AXZalR3o0HaegKcDYSgoOxFsxkuc8rfvW3vXzD3+0iAEcA91McbrsjbNdgnXcbu2zSJdx6VcimVd
+        lCDIVyAUiEA4n/nMNOslpgtDE77k/AhzaKkUheN0PIxjXqa0fk9W2CmnI/vxZoiTgVxJ/WWen6bJ
+        CDWQCcmuSx96P3I8NohNDzWJSkMyoKvb5RoOCKdkj1GnJYqYtYOwEKY4txK3581IPU5zZLBAduM7
+        Mg5rA5DOOMZz8cQc6/vkPPN4PPEO5DSuBit6vxx809V1XwFC7SRRC0ItCLUg1IJQC0ItCLUg9GNA
+        6ANx9b4fCDEtCP3MpXUxSCoQvVhhV5wSp7MBRce1O5s8jTuNj9rp/q9OUW7fi0TYJ5EI+1sjEeYB
+        D8VxAl6F4F2CoO0uSwK2y+AsQlIovmHR11vZZrI1nS4W1Ko+I/FGWRhAQtzRwtDugrXRX9cYu0+r
+        tD9SYxNN5nMimmyJ4s4akhUJ/Hp88Nn9oZir6VKQOfhe0urxHQZAIE1OY4IdrkwzWNTbHU2O9yM6
+        ioWBxNDSyFoft3NrvkL28x6Vc5JgYFKZzZW7ZX9CYMRKyosJHPsjN0EPmEufOKEWUAywVPFtkQhr
+        kahFohaJWiRqkahFohaJWiT6SyMR/qPjNKBEi0Q/Fok+hRSPqIMzvzjq4DTwKMpGuw5B2l0CIYku
+        cBzQJVyccSiaJinidUg66KiXFI3f9YwMGe7uthi2PQ5RZnUm8PNdz/RqoNy50BtYG5ZFqnzue/qK
+        oUlDN3GUIlywP5xHfSVMpnzh3ifrcTY8SHfUqS7LiXes94E92i2nOfQgdtXBt8YzHA4VaW3i1ugA
+        lstNOlmHOn4+FmM654ST1q9HQlr5tjFKYP+PkWN9J09wpAYev0dC6tttrPTFqNPGVmhpp6WdlnZa
+        2mlpp6WdlnZ+LO386GDeKNnSzo+lnX6WRYHn3mInXIK6xWlRdmB5fHhF0fnNrspOknZyz07TsvjX
+        +yZ98E+F7v67kxDiuCyKOxCJNg4K+cd2ugBsQNdjEcfxkA3qIq8nfXLFkc5zIh6ux9NzxGZuLztW
+        op6UK5WcMUdDS+disNngQrmyJmNrQBUrKc3sPY3S/WRhH0joklZiTRprb3+fkEImnI+7k7Ao04Vu
+        kGNRNKNNLZmDZDwojemWmA8mdwN24ZqIhc3jLTsNlofjpNzwe/7s5gIxWIXqXoBVO71PeumYrP2K
+        sXAsdpfINOLSn09C7aRPi0EtBrUY1GJQi0EtBrUY9AMxiP3RGES3GPRjMchJ4ywtvPxNs6wtKC6L
+        4q4bF3UwvPMbpCIfvvk7dVD6naxKtgHRqdM8fC8NNd+P/dI0RG1IwoPOYxehN0yXQDdOl3EYD97E
+        IDhO2TS9eR0eoaCDM8HFvF1X4dhdwTGV8g9ButYlfocV0dmCfoGNHc6p2D+knhXk42x8TlcjNq7R
+        FBuLcBC0TN/b0Fpxuk/KozOSvHw3xNZqCEwvUhbV8SiQ5JRPOVecYAKhLUeSKt1NWE+oSHR4OmKm
+        j1d5LI3WhNvf+4OTFSLcyIJu7UqaFtNKUKTQBvsQ31hTpKWhloZaGmppqKWhloZaGmpp6JeiIeZH
+        09DXb1XU0tDnLYFzXc/tFGnsdYoMOF4zK5Rlzu+dAmeRayBtkMedMN0FnaKEqW2994IQ8quDELFB
+        NyTwuhjNuF2CsZEus6HZruMAxyZIABz29eZDXnGeH4/F7oAPWUDJBpL0LY0cCsIOkTCqLnXOXMER
+        mjMnqZ4GxyPB6aF1FpPlFNucjPlJPfTXfMX1xIiU75OhoSbawrKX7tJcO6bt+71KwwZm5R2LShsM
+        7AHF2f3+/LQ4KHvfJLzx0cQWAJQL36LKTBAWQyH39xDK1tDP8/tzwrHYQbQsl5Y8HlZz/i8FQv+3
+        ubkEsJUZnCGJf/9/FQ8wekRjAQA=
+    headers:
+      appserver: [proxy04.fedoraproject.org]
+      apptime: [D=1554107]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-type: [application/json]
+      date: ['Thu, 21 Jan 2016 20:32:22 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_meetings.TestMeetings.test_data_simple b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_meetings.TestMeetings.test_data_simple
new file mode 100644
index 0000000..c896aa4
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_meetings.TestMeetings.test_data_simple
@@ -0,0 +1,43 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://apps.fedoraproject.org/calendar/api/meetings/?calendar=i18n
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2ZTW/bIBiA/8ornzYp2IZ8NqdpO+3QnTYp1TpFzH6TstoQYdJqi/LfB20aEdYd
+        Jk1wQcIH8/XwvjySkTkUPaIRcjsUS/h6eHlbG9HjejBcG1tf1LNlXdtSjODcQ7S2hV5Nar9ObpTu
+        uRFKumHvBXlEvO9+wqkD2GYQdCFBY8cNttCKodkPgx0wlLf6VrrnWmkEbyrgD1x0/HuHwM0S7ozZ
+        Dcuq2mCrNN9p9QMbUyq9rR7Fvag+0sWn6voUVMVqOiGrFbm5AYA3qxUQ6JU0dyOwNQRau4jyrQur
+        4R3Kluu15D26xbtl+vGeMqJ2TwmZ/5kQN9fazuHaLXZKKCNs7PfoVHPOzfPqyanpndBNudGIUrVY
+        SjT+sJ5LvkXtNqjYaf4g5FB8C8B/h/rxvOxDGNcvJZ/6fPn8oTiOIGvw/zSYkZqSehZXg1egWYP0
+        GrA6gQaX0KxBag0YqSN/FF6BZg3Sa0DnCTS4hGYNUmswtpsSXYMQmjVIrwGNf0QMoVmD9BqM4x8R
+        Q2jWILUGE0LjHxFDaNYgvQYs/hExhGYNUmswJZRG1yCEZg3Sa8CmCTS4hGYNUmtgyyK6BiE0a5Be
+        Axb/v0EIzRqk1mCe4mophP6zBm5qrrf7HqVx986H4uzB+Q6T+SnzsxXET69cpRe33Hfd8fgbBWYL
+        WtgeAAA=
+    headers:
+      accept-ranges: [bytes]
+      age: ['0']
+      appserver: [proxy12.fedoraproject.org]
+      apptime: [D=179808]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['518']
+      content-type: [application/json]
+      date: ['Thu, 21 Jan 2016 20:50:48 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      set-cookie: ['fedocal=eyJfcGVybWFuZW50Ijp0cnVlfQ.CYLWKA._XkgyD4SujeEkonmfv7CP91G1mM;
+          Expires=Thu, 21-Jan-2016 21:50:48 GMT; Secure; HttpOnly; Path=/calendar']
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+      via: [1.1 varnish-v4]
+      x-varnish: ['22710494']
+    status: {code: 200, message: OK}
+version: 1

